
package de.ivu.elect.presentation.gruppe.table;

import de.ivu.elect.business.gruppe.entity.GruppeKumulierteStimmen;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class GruppeKumulierteStimmenGruppenFarbeColumn extends AbstractGruppeKumulierteStimmenColumn {

  private static final long serialVersionUID = 1L;

  @SuppressWarnings("rawtypes")
  private final AbstractGruppeColumn gruppeFarbeColumn;

  public GruppeKumulierteStimmenGruppenFarbeColumn(Messages messages) {
    super(messages);

    this.gruppeFarbeColumn = AbstractGruppeColumn.createGruppeFarbeColumn(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.COLOR;
  }

  @Override
  public String getHeader() {
    return "";
  }

  @Override
  public String getHeaderIgnoringErgebnisartFuerDifferenz() {
    return getHeader();
  }

  @Override
  @SuppressWarnings("unchecked")
  public Object getValue(GruppeKumulierteStimmen entity) {
    return gruppeFarbeColumn.getDisplayValue(entity.getGruppe());
  }
}
